GNU bug report logs - #58545
28.2; Toolbar icons missing until X server is restarted

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Xuanrui Qi <me@HIDDEN>; Keywords: moreinfo; Done: Stefan Kangas <stefankangas@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 58545-done <at> debbugs.gnu.org:


Received: (at 58545-done) by debbugs.gnu.org; 24 Nov 2022 20:12:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 24 15:12:25 2022
Received: from localhost ([127.0.0.1]:60366 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oyIa9-00049u-8v
	for submit <at> debbugs.gnu.org; Thu, 24 Nov 2022 15:12:25 -0500
Received: from mail-oa1-f43.google.com ([209.85.160.43]:42828)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1oyIa7-00049Y-Lh
 for 58545-done <at> debbugs.gnu.org; Thu, 24 Nov 2022 15:12:23 -0500
Received: by mail-oa1-f43.google.com with SMTP id
 586e51a60fabf-142b72a728fso2973867fac.9
 for <58545-done <at> debbugs.gnu.org>; Thu, 24 Nov 2022 12:12:23 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=aR4b4prON62M4v5uKWCAgNdFW+CqYrkS5OE/HvojE7c=;
 b=Wn7PcatKynDhmuCT6uXdhx0WvDX4xMDO2U61dHsKhkmJ8UvBXmgKTHa7NlwPo0F0fe
 L5tZOHCg34gEcwUrRaqWuk620fgoDseUfpwFNNChFzz5AZbRWb1opPFSigtMigfwlvih
 l2CpmpK1ucdkiKLCkZJSt9YFUHV2MJNhNzsBf60rUTbTB+vPfpIb/0sa+YPvJHde3vZF
 H32qvlBDd0EwTUZ+91frva5oV3nR2Vzw38sl3T1bAxNJKi416jSVPCoeXmHMolmPn5QF
 nIDSJyYwtM4P2lizUZksrkceTc8ucjqNK3rbNTIDbvsh0jSRieq9rdthdRa4S9Df/CqW
 NwHg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=aR4b4prON62M4v5uKWCAgNdFW+CqYrkS5OE/HvojE7c=;
 b=ckqSEzyFbO2vvNHwGgMnh6spGYXCJi3nZ0e85kUYWQaSNGCt588ayTCKGLTgbq8XAb
 y1ico0N4QzZC4ywT4Rav31bxIr/WVeEk/4rWKjoPgLSYA/R8C/swbf4rBKSICG/dVKjY
 brGNxkl2SHGvGj7bjGOzAXB7sO3CZGD8ffva3BBym20vwdxhr0Gt7DYFdqzKoXYpAP1E
 CNqXBQ3wVYmYbguIecIKnmayEPMyBT/nLBNwf1O1nMXFMlJbn4tTzfP6Q/K0INRnyxjA
 dJWK4Z2ulDXF2gZKQAP0p5Ei53uwA0SS7agJLLBRR57QMMPHwvjdMEX+C8N0HHHiT2QS
 T0qA==
X-Gm-Message-State: ANoB5pmeYTMtmbN2m0zTmncT/8vob+iQLq05+kTCMUyqJzaWLy0QXv3N
 uzh167sW7ukGjaavTQIdNcTfOQRL5xr6YOzrckE=
X-Google-Smtp-Source: AA0mqf5TnEaU+svIssxgnFHHhxyC80+NEMYFG/7yTuwZX0d6E6NB7jPf5Lbtn/1OpbaSNeBb2Ym0jdErpEfjLzb5MP8=
X-Received: by 2002:a05:6870:cc89:b0:12b:fbe7:b793 with SMTP id
 ot9-20020a056870cc8900b0012bfbe7b793mr21448769oab.92.1669320731884; Thu, 24
 Nov 2022 12:12:11 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Thu, 24 Nov 2022 12:12:11 -0800
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <PSAPR06MB40249B4BAEC6AECE6E2AFFC7A8309@HIDDEN>
 (Xuanrui Qi's message of "Thu, 27 Oct 2022 04:26:06 +0900")
References: <PSAPR06MB4024FE0DD9D22141453097DAA8279@HIDDEN>
 <87mt9wmx13.fsf@HIDDEN>
 <PSAPR06MB40240DD2AAB846A516213674A8299@HIDDEN>
 <87o7uac6cv.fsf@HIDDEN>
 <PSAPR06MB40249B4BAEC6AECE6E2AFFC7A8309@HIDDEN>
X-Hashcash: 1:20:221124:58545-done <at> debbugs.gnu.org::mUBkTLF/8F+TnXea:4Mq+
MIME-Version: 1.0
Date: Thu, 24 Nov 2022 12:12:11 -0800
Message-ID: <CADwFkmmvwoKM7a2gZqpHJvYw2gopF4hVh5Ok_7cOUrLK_Xrw9A@HIDDEN>
Subject: Re: bug#58545: 28.2; Toolbar icons missing until X server is restarted
To: Xuanrui Qi <me@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58545-done
Cc: 58545-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Xuanrui Qi <me@HIDDEN> writes:

> Please mark this bug as resolved.

Done.




Notification sent to Xuanrui Qi <me@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Stefan Kangas <stefankangas@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 58545 <at> debbugs.gnu.org:


Received: (at 58545) by debbugs.gnu.org; 26 Oct 2022 19:26:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 26 15:26:21 2022
Received: from localhost ([127.0.0.1]:55303 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1onm2f-0003qC-EP
	for submit <at> debbugs.gnu.org; Wed, 26 Oct 2022 15:26:21 -0400
Received: from mail-tyzapc01olkn2085.outbound.protection.outlook.com
 ([40.92.107.85]:15663 helo=APC01-TYZ-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1onm2c-0003px-43
 for 58545 <at> debbugs.gnu.org; Wed, 26 Oct 2022 15:26:19 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=kupvt0VYsfuDKOgWPGbWruGLD2ceFbZ6up8WeZDSkIWJoAfF9oggKQ1J9TVbIXzH2XfufQolS8jtcynEq9KWktj7icrKbicHTigAHcrxaR34pdJ91B66KqjGexq3dIf4befVYj3HX7H1WC0FrLzupy9kthmBY3WcXSniHy3SZFmIX24BE27H25kJPWgiCCvktS7uTLf4FclwyIqPFiXePif64p82siYWhk9zFLy9KPfPZKr+7Ub0wgfMs5z09Icub9wJN1Pgt9M5D1NBkr4yp4/d9f6gxT1m3vIpHMIzGdLzsg7UOCYIbJYPax6FkPCDV7JYhGYWg2CR5/ABQsiikQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=VBa6gfPGmju/X6YFhPxx903NncRggx2kiTaszBK5kyw=;
 b=fbFa0nSC+y8B84orjZEt7MAru8Ys0FHNnT4hMzAnPksNB+pEGU/c3n4zPiLPHPtRgI4hkN4XymAF5R3kl55f8sH6A7l5ZKLnvwYdHHl4kOfX070ILymPEJSzTU7frwxdjF9Af1GzO/Vx/HNJqzmmygECASvp7nUK/iWFCe5Xy5gi/nq1ETEtyeepCyvVcEGrrHarZBOU9hrC0y1fYKiHGaAi+SgqC01sjyIvuL4b9JjVyS2UvVuZcFor17lprG+zacl2NnK4UudwbYiDPCdZFXw2BHyCek8ug81vXmu8O1eTBoaIngFJ/Ktri7hGCcJe8rcfDDQHq/nInqAW0dHVqw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from PSAPR06MB4024.apcprd06.prod.outlook.com (2603:1096:301:31::11)
 by PSAPR06MB4279.apcprd06.prod.outlook.com (2603:1096:301:78::9) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5746.28; Wed, 26 Oct
 2022 19:26:10 +0000
Received: from PSAPR06MB4024.apcprd06.prod.outlook.com
 ([fe80::4ab0:64f3:87d2:5aa5]) by PSAPR06MB4024.apcprd06.prod.outlook.com
 ([fe80::4ab0:64f3:87d2:5aa5%8]) with mapi id 15.20.5746.028; Wed, 26 Oct 2022
 19:26:09 +0000
Message-ID: <PSAPR06MB40249B4BAEC6AECE6E2AFFC7A8309@HIDDEN>
Subject: Re: bug#58545: 28.2; Toolbar icons missing until X server is restarted
From: Xuanrui Qi <me@HIDDEN>
To: 58545 <at> debbugs.gnu.org
Date: Thu, 27 Oct 2022 04:26:06 +0900
In-Reply-To: <87o7uac6cv.fsf@HIDDEN>
References: <PSAPR06MB4024FE0DD9D22141453097DAA8279@HIDDEN>
 <87mt9wmx13.fsf@HIDDEN>
 <PSAPR06MB40240DD2AAB846A516213674A8299@HIDDEN>
 <87o7uac6cv.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
User-Agent: Evolution 3.44.4 
X-TMN: [n0rTaLXhy4lwGymOtDNGAJt0xOfoUsM4]
X-ClientProxiedBy: OS0PR01CA0184.jpnprd01.prod.outlook.com
 (2603:1096:604:1c5::16) To PSAPR06MB4024.apcprd06.prod.outlook.com
 (2603:1096:301:31::11)
X-Microsoft-Original-Message-ID: <a9f09d6a3bc5abfa0d90518990907e4d1f541291.camel@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: PSAPR06MB4024:EE_|PSAPR06MB4279:EE_
X-MS-Office365-Filtering-Correlation-Id: 29711b4a-754a-44f0-65f4-08dab787ef66
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: N8uCxMg0+owMqlGKlRe8E4Q+0hLPGtqyfAbeiozNH03nrsw9sk8SKYTlAnjaE7gDdfqcihtRN47eLa0xhPiA5tcQWCSqC8baQ00zSdht4Qc5tYbQ9Vq0W9BXQUf8PvVs7cZt+2bYAgmQWQ6a0q0sRnWCFaUBBcSPcYPKmc+Zoc9YixpvT7AGSW8BXloN0PF1iXgAODP/CtS5KyfcmXL9UHVeu49WrJf5+J+wna7FaIdYXNJ9d2T2rL0G4+DHov4aNsvw95xxlr1N7r97K7tx7imHb6mceopZnJ2g1VJsNyRUYeswbIMT8cVXaGwxNdscGiPUhFB8OV6k43z6q9k8nlsnw81sScrChhKQZZ652IpC3Zn+JlzLW01Ln1N74KKVucpoliKJ/4EKoSySR2htP5GGCJI6lh5AaI4d+QHz+HvnQGD6xkDbbCOv2WIcD7k0e/cwuvkGLJ7cJl2r2LbVoKgKS9/2Rjky+06c2cp/ytCJCqIVeFLG+lrz4SlCOcxgH+kAN6NgADLteavLA70OZ1TTrM/Z4xGgKyKWC8GmZwpiRAbqrTVjfvfCyQ+sIJSWvuMkSPQtWW+1Q8TY3y7JVvgVrOteSPjO1SE9iBBRdM9UP0ijhX/pjXilWImYhnOGHk54eiLoJmPPTch06JXUC7hLJ9Hm6eAc5jejNU2lyeT4rXN++BfrsrCASZ/Gx4dU
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?utf-8?B?ZUsxRTRCM3kxYW1XVjd4NUNKaElYalV4WlZyTm1qNmdrdE5PcHJjNzFua2FI?=
 =?utf-8?B?TG1HekZiZmF3RW05V3ZVZ0dKV2RxZmU4RXlHZ1FHb0lBMkw0cmgvVHVxcTE4?=
 =?utf-8?B?bFBLUjVYTkFPV3Y0S0NpNVZLZXhUNnAzenJBTCtZRi9qYkJzTVcyNEg1QW5l?=
 =?utf-8?B?dWs4bHpiUDN1YVdKbnNpMHZrRXpqOU9kVTVXUHBBNjBZRjAySGswWWszSkxr?=
 =?utf-8?B?V0trTmExa3RIZlc5R0lrcDNPZ25sVDBrZmhiRUtwZUQyR3hRQndxeHlEclB2?=
 =?utf-8?B?SWZVM2tUamtOZlFvZ2Qxc1hMNmZicGlHdm0vZkVoNDMxcjBWM3lRWndGQkRP?=
 =?utf-8?B?b1h3cUxML3JjUjBFOE1jZE40L3MvS0xRUU5BK25qMmZRU1plRFB0QXZvRmIy?=
 =?utf-8?B?Ulh1TU9VOGFudHc0NUpBcnZqREZZaSs3T0s5dXlrK3o1c0ZiL1FobTRlb0x3?=
 =?utf-8?B?NkY2VXBYdVlkQzFVTUpKV3pNeUUwN1ozR2E3WmNRdyt2bVg2Tlk3ZUtKOHBO?=
 =?utf-8?B?YUFJSnpLTUROWUdzeCtpMWZDbzRzdk9WMU9FOEVVSXpxV29zWnE3ZlJPejVY?=
 =?utf-8?B?emZjdGZMVWdEY2psa3ViblI2V2pOa045SnlFMm9Nd3l1NlAzelYxejYzdlp5?=
 =?utf-8?B?OXhUQTNqTFZBNHE0QzdiTVZmbTFQQXY3WlRYN1BCWHp4WFhuaXgzdktoUTNX?=
 =?utf-8?B?dlpLb2JSREk1TkltVmpSSUZta1N4b1V1MWZKYlpIWkpOTnJzd2tvMkdYUElG?=
 =?utf-8?B?MC9ydWU1TjVZVGlkUzk3eFd3V0FjcHBrWUc1K25HcEhiSDJKYnNFWXJBZVVz?=
 =?utf-8?B?TUdQUjUydzh5dUdZUW03eHpaUFFXdEJOK2l3UmNGV2dWcUsyWVlaUml4amVu?=
 =?utf-8?B?RDFEaDVrVzB6a0hMRXdiQmhHVHNqT3c2NmVmL0Z1UlVyeVJRUTM2ZHNEVjJv?=
 =?utf-8?B?OWhzd0w5eGRveW81S0FSOXhuaEhzQUFhcy9tbktzT1JGRStzWEpsWEpsZVBH?=
 =?utf-8?B?ZGVQbHpTSlVXQ1ZjR0JSQ2lVcEswZVU0c3JCSG5RQnRjOVMzYXFWRFc3WG1V?=
 =?utf-8?B?WjBqSkpCQUdNWnRQRWtiVDU4RFpQUDhFRWhWSTJ1SlcrMURsaTdpODlaUEJ2?=
 =?utf-8?B?bG81amZMUTNWbTgxWER4QzY1RE4xclorbk1JQWJWbGtqSXdzVHdBNVhVamx1?=
 =?utf-8?B?Q0tSTXFtanpMaWVnSi8zUlpzWEp4RUZnVG5xL3hCTGxPMmJHWjNLeCsyYjUz?=
 =?utf-8?B?eTN6cE1XclJmZGZtSjZrbEVYbUpoQk9ISUc3TlhyNjVBejg3VFQwN0FWbjdp?=
 =?utf-8?B?WU13ZjlVQjRBQmpIQ3lpc2E4R2hWL1ZIZWpmTnBaWkNUdnRlZDZmME56OS9h?=
 =?utf-8?B?Y2huWEIxWjZVeW80WVQ4QXJINGp5bVFydUFXWUpNeS9EbWdoa09INzY5UkR1?=
 =?utf-8?B?ek1XWDRiTHRrWWxRSERndzAwL2RBMTR5U1ZsczFIUUsvTjk0WXNDQXI0cVlz?=
 =?utf-8?B?ZHNCeVRweHR4dmZGUGpyWDczSC8xQVhRbGROZ2krelp3TmdMZFl3Sk1EVElh?=
 =?utf-8?B?NU00elRsaDZKa1VtRnpLSjU1NUIvRis4cnBQVzMvN2NJMnJNck03YXN5Tit0?=
 =?utf-8?B?WXpaT1FMM1BSMWJ3YTF6blBLNVRubkpBQzJSTU1zbzNLS2FLUncrQXFvN09j?=
 =?utf-8?B?dHhEa3A3Sk5MWmxkeW5zMlp6Rkp2MzBFM0daMHBIUnhGK0VrUHR5VjRBPT0=?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-3208f.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 29711b4a-754a-44f0-65f4-08dab787ef66
X-MS-Exchange-CrossTenant-AuthSource: PSAPR06MB4024.apcprd06.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 26 Oct 2022 19:26:09.8622 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: PSAPR06MB4279
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 58545
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi all,

After a big of digging, this turns out to be a false alarm. Emacs is alrigh=
t.

Apparently, in GSettings I have set org.gnome.desktop.interface.toolbar-sty=
le to
text. Somehow most applications seem to ignore this setting, but Emacs is o=
ne of
those which respect this and give me plain text toolbars.

I suppose restarting the window manager cause the settings to be overridden=
 by
GNOME or something, so I get my icons back. Really weird interaction; I gue=
ss
someone familiar with GTK and GNOME knows why this is the case.

Please mark this bug as resolved.

Best,
Xuanrui

On Tue, 2022-10-18 at 08:39 +0800, Po Lu wrote:
> Xuanrui Qi <me@HIDDEN> writes:
>=20
> > > just the window manager
> > Yes, you are right, I was restarting the window manager. Alternatively,
> > altering
> > any of the theme settings also cause icons to appear properly, probably
> > because
> > all windows are reloaded.
> >=20
> > > What about the GTK icon browser?
> > Everything seems to work and in particular there are no missing icons.
>=20
> That's odd, but there I really don't know what may be going on, seeing
> as I can't reproduce it here.
>=20
> For the time being, you can set x-gtk-stock-map to nil in early-init.el,
> to make Emacs use its own toolbar icons.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58545; Package emacs. Full text available.

Message received at 58545 <at> debbugs.gnu.org:


Received: (at 58545) by debbugs.gnu.org; 18 Oct 2022 10:10:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 18 06:10:44 2022
Received: from localhost ([127.0.0.1]:51243 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1okjYa-0000hi-3g
	for submit <at> debbugs.gnu.org; Tue, 18 Oct 2022 06:10:44 -0400
Received: from mail-sgaapc01olkn2023.outbound.protection.outlook.com
 ([40.92.53.23]:35680 helo=APC01-SG2-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1okjYW-0000hH-Nr
 for 58545 <at> debbugs.gnu.org; Tue, 18 Oct 2022 06:10:41 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=F3KifZLWGSK2/XsBrSLwHhd7uSXSX7uiCs/gNz2XbEJUy/lQXQ61rFT/+FN2+l9h0opo2/NUMXwLCWTlb9LRX+bC460QPtMRiHHSeM3mtFKFTH6Mj4JLV5d90U1a4OFSZz08fYkTEshTT+SRWLjKtd8+aJlS9UoGlypTUtmmTeTyBABSZeOqSM7VN19XapzDAuPtwQeaXczVb+EU9P6FeGfKKjqimsi3j2pFAh7T5NmyC9nCkWDeJGlyggaxcCOFXAGUOxUeeUC80otVUp2I4wJuLzmpQFJVxTShtGAknzJvxUsPrurtB94hwTMMkm2/aoeCymABkmXhT+aaIbd+3A==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=gOxjyvOBOw3FbpLzQ96L7MZmAKAKHCPRvEeLvu+V19I=;
 b=KZ6UDtRFbkVk8YbtMXLEyaVBVDJYEbn6D+EJzlZAw1EujvQh0NgnNnTC282YI9aofSg9qe9A8XkY+jMwQXqomr5QWmKuc8yC1jrnwYUnxoxfEzQRbjfYGsTLP2uiA2gVy0rxa4JYXjrgCCQ4Xd1Snl6i4s8tXcSWWRUhx8RtssSarXYDhUv1p4J75bwuCdKMq1R0xq4dsUC3tZuV6c3owxP9GHQy97IzT+xpEny3esb2sVeP6FQNEbe05kAC/YWQmDJN8zII47qDoRXCIcbYKwACgqQOECkcttBHIwIyn8wlDaOXxBtrX3sHeEHMAePAoWWpnoHRcJL7QqK1fHZYJw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from PSAPR06MB4024.apcprd06.prod.outlook.com (2603:1096:301:31::11)
 by TY0PR06MB5493.apcprd06.prod.outlook.com (2603:1096:400:264::8)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5723.30; Tue, 18 Oct
 2022 10:10:31 +0000
Received: from PSAPR06MB4024.apcprd06.prod.outlook.com
 ([fe80::4ab0:64f3:87d2:5aa5]) by PSAPR06MB4024.apcprd06.prod.outlook.com
 ([fe80::4ab0:64f3:87d2:5aa5%7]) with mapi id 15.20.5723.033; Tue, 18 Oct 2022
 10:10:30 +0000
Message-ID: <PSAPR06MB40247D09734D8843E13ACEC1A8289@HIDDEN>
Subject: Re: bug#58545: 28.2; Toolbar icons missing until X server is restarted
From: Xuanrui Qi <me@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Date: Tue, 18 Oct 2022 19:10:28 +0900
In-Reply-To: <87o7uac6cv.fsf@HIDDEN>
References: <PSAPR06MB4024FE0DD9D22141453097DAA8279@HIDDEN>
 <87mt9wmx13.fsf@HIDDEN>
 <PSAPR06MB40240DD2AAB846A516213674A8299@HIDDEN>
 <87o7uac6cv.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
User-Agent: Evolution 3.44.4 
X-TMN: [EG7pNK7t5XOAOuRcMyRAgE9kbgDyHd77]
X-ClientProxiedBy: TYAPR01CA0156.jpnprd01.prod.outlook.com
 (2603:1096:404:7e::24) To PSAPR06MB4024.apcprd06.prod.outlook.com
 (2603:1096:301:31::11)
X-Microsoft-Original-Message-ID: <bf4000c808420e31546610a9ce5971b52dc38f06.camel@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: PSAPR06MB4024:EE_|TY0PR06MB5493:EE_
X-MS-Office365-Filtering-Correlation-Id: be37ce00-04eb-45ec-3c61-08dab0f0fc90
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: gLnbhzxq+EbGfLir+T80oihPIuIrvGlwA5u6WfCVWPbFvZyBuGNiBuUkIKVvWsLTLdJQnqpeLtWM/VT1w0ViUzMWo4OZzfzPW9dWSFnKSfr2OB0zIzDnTTCeuB+WQpbT/dsRac5zJeTHa1vMwq/yreExDcqQ0guysehSL1Iu6eAYy8qpH4WpLs8qv2gYdJQufH7U1PuVcyfmElX844Vd+4tY1GEHPfXbMZ6zZYgBMe1fdHXPPqOFVIG270rfayFCUypHyZSCQiXnEQsOU8Uv59yhXcCkanSBfbncGDCi1fEC9wE3HFTgU2qJMTIn0AF4D3f3uKYezuipS7cPXfe1yDs3b0ive1cLEzrvF7kX9zkKhvWeG3M74yrkZmeoelMWMKf1DZoIw7Uk+GxCPGwXVbQBTENC45wcw9CSkc1AcbT4tuhjp6CGcsBRJZ9EJDayo1bos1W5N6qQ35hl5GxdiA+h+Kli1ALtUnQQWDn+jJ/Ij5lZQwSWLzKktDaTEmNzLKZDQg+TASTCTfVAzuHUt7JrQYLIuMGQXXMMTUaT9h2ieF6kB/GP4/VceZFi4n7B+98ctdwtx/Aj6pqXlfH5ysdTdGkrBNKfHI+B/ZItkAnM0pvERQyukoNhoAIeIZSlAwMIneuTGovmf4Fa6/o3PVsy/VeOvK8Q55YQ6UQDpqZc0nRP3cZlYGAJPlJqzXcg
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?utf-8?B?cnN2d3JTNHpPcktFaTc5U25CN29tODk3WFZsK3BCVUhEVmIyWTkxVFdzQWhj?=
 =?utf-8?B?WXlXSWlXRWJ6SWpGVXFkS2RSREdaVU9oc0V0VU1Nc0RRdTV0eUExczN5c2lW?=
 =?utf-8?B?Z3hmZTViWnlyVkNIVW9qTmxTMDZjbDZYemJKZERrakZvbGRraURpRzRxWFJJ?=
 =?utf-8?B?MkNYYmpxV0RjZU9jMGZjSWRablZQWE9uWklPZUJselVFbmVHMU5ETk9abWly?=
 =?utf-8?B?d1BzVU9ld0U1WUZya2hsVUVQc1JQelZPY3VPSWU2WkZSTmUwMGw4QmRUTG5U?=
 =?utf-8?B?UjFaVXM1SG8vYnNwTzVMaGNCS2VVNWFQTGtJYlBacU42bkdYdzRrVXVkSmJ5?=
 =?utf-8?B?TGRKZkRUaWkwRXM4cC9iVVhTSzRQL2pxY0FqTnVqRXFabTRtZEpJOHdVVjhG?=
 =?utf-8?B?NVluYkk2bjN1TXA3QnFvVy84cW0zN3dDeDJvckFYeHdFSjBkMlVQaGRPRGNk?=
 =?utf-8?B?dHBtTys1ZVp4dXQwNlROQWZ3Rk5JMHVZRWg1WmJ3WlpZSzQvM2VLMkpSUWdk?=
 =?utf-8?B?aE5OQUFCSWxIWFpoSmdYYU1acDJXMGJQOFlhdS9MbEErVWpQK1B6NkdnQU9F?=
 =?utf-8?B?V0ZYUlVBS1dUU3dwWVRxZ3JTcDg1UlhVNXFGS0Ixcm52dXVabG0vQXJQYXdT?=
 =?utf-8?B?WG1pQ2xuWitOMGdmN0FTdGk5ZDJGZ0xMUVY0ZmJVQ1V0TTBBWENtSkdUbnls?=
 =?utf-8?B?K211WjgwY3g0N3NORTFwbVJ3aVN0RlJhN0VWMVBtd29zQUZCUDQ5MTNSYWhY?=
 =?utf-8?B?bndwb1BRQXBOVUlkMjJwT2ZlTUZKUjZGRzlwRWdZbnIxdncvR0gvK2xEaGd0?=
 =?utf-8?B?U0xVcWFEQUVsb2ZwejJGTU9qYXJXNlBZWC9kTEgrYUNBRUh5YjFGL2dERnpF?=
 =?utf-8?B?VENzYkIvWHd3NjF6OW8vTndrVmlFb2FRMUx0NktXMHN1VXVoLzd0OHFWalAy?=
 =?utf-8?B?QUwxNHhVZ2RXdnpJV0VKTlpaVUdPRlU1R1gyVzF6Z2M1RS9kcXNZdzY1Njht?=
 =?utf-8?B?dmVmRGRQUnA3UFlIWTFsREdHeUpCd25IZkRQRE95V2xSM2R5UE5YUHdtVWJH?=
 =?utf-8?B?VTZPYlVTT0I4UTl2YlhVdzYyOTdhQUNyWmVCbTI1MUxZN3RYUmo1NEV5bHNZ?=
 =?utf-8?B?M0FlQzRaUDhEZzk2eU04NllSTTU4eU1kaVgvdGpia01ZcHFFbUJicEdZdWVn?=
 =?utf-8?B?N3lETnNSa2F5NnlIb2hUNFpwMTljVzErcDZnVjBxYXFsRHloZU1CbzdoZjB1?=
 =?utf-8?B?SzdZM2FUTmxINS9WYjBRTlN2NnRtQW9CdHdIcWV0YUE5ZTBvOG5jd0Z4Mkdh?=
 =?utf-8?B?d01TckRFRjZ6UlJsV2JpK25rZC9xaXk4U2FIS2kwOWhYU0dvQU5UMEtVL1lI?=
 =?utf-8?B?Vk5abVdiTHhwL1RuSHA5aXhMdXY3NG0yenVWZzhvbWw2VjRnTlJOL1ZRVUxB?=
 =?utf-8?B?MndrMS9ETGlveG1CS2hISGNCcWFDNGhnWXhUQ2dwRzFpUkd4SldoT1A3VWY3?=
 =?utf-8?B?LzF1bEM2cDV5cEZJZHMxQWZ3YVdTTkRZNkZxMFlBMHZ2TnhKSVk0Rm1iNkNP?=
 =?utf-8?B?cjcrSnc3K1Y5Tkx3d0FiWmYwa2JSUkpoMjFsUzB3UFZuT0tyUHB1NUZXLzY3?=
 =?utf-8?B?eEU1SmtaVWhrcEtWWHlkdDA4RUJCMlREU0VmL3FmbDYzYXppT1p5QS9RVit3?=
 =?utf-8?B?NTA2VlVuTXM5MVdPc1NMbWZoK1hUckd2VXI5cmxFYjlZVUtKNW9oWTBRPT0=?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-3208f.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: be37ce00-04eb-45ec-3c61-08dab0f0fc90
X-MS-Exchange-CrossTenant-AuthSource: PSAPR06MB4024.apcprd06.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 18 Oct 2022 10:10:30.6373 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: TY0PR06MB5493
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 58545
Cc: 58545 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Also,
> x-gtk-stock-map to nil in early-init.el
doesn't seem to work for me either.

On Tue, 2022-10-18 at 08:39 +0800, Po Lu wrote:
> Xuanrui Qi <me@HIDDEN> writes:
>=20
> > > just the window manager
> > Yes, you are right, I was restarting the window manager. Alternatively,
> > altering
> > any of the theme settings also cause icons to appear properly, probably
> > because
> > all windows are reloaded.
> >=20
> > > What about the GTK icon browser?
> > Everything seems to work and in particular there are no missing icons.
>=20
> That's odd, but there I really don't know what may be going on, seeing
> as I can't reproduce it here.
>=20
> For the time being, you can set x-gtk-stock-map to nil in early-init.el,
> to make Emacs use its own toolbar icons.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58545; Package emacs. Full text available.

Message received at 58545 <at> debbugs.gnu.org:


Received: (at 58545) by debbugs.gnu.org; 18 Oct 2022 10:05:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 18 06:05:09 2022
Received: from localhost ([127.0.0.1]:51229 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1okjTB-0000ZG-6I
	for submit <at> debbugs.gnu.org; Tue, 18 Oct 2022 06:05:09 -0400
Received: from mail-tyzapc01olkn2023.outbound.protection.outlook.com
 ([40.92.107.23]:1504 helo=APC01-TYZ-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1okjT9-0000Z0-M1
 for 58545 <at> debbugs.gnu.org; Tue, 18 Oct 2022 06:05:08 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=d2rqlH3+wLG/LbVc0mTpsiSPiklfF7erJbfgRI45rAaxsBordYS8UHjrHZGP7/ZDf16VAJEiHiEnBF01ZpjZ6iywOkVuUdlvoKK3Qgq0XB0ljKBXCKNmShDqWYUR006Wr7ZpxQQ/2AhTvGNJ6BlvTtPovTi3ZyHhQNxENff5YfDC6/oaXiDYNKfMj02PQ13rFb/zdEaprp8dg7Um+Jp75CWkLmKsFzIUZKOZj6eJENeMUWLprSdq6I7PSob/X1R1fbJaRXCZoNnS9RBnNJBBGQfAmSvbNDD3+EvIZ5TsBEv1WmdnDLmRhaeuCuSzR4OW05gNkaw8VFXwLXEnlgm7OQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=5KtBM2/wdZhfZ1U7WJ+JiNEOJ0phX+MalhT6UCLaMd4=;
 b=FTFSb4N0XnTfSg3Ywkg7nwac7mEpX7wgXSiDTzTr9spkrJDnKZ88YYzll4SSmZghgRkUX2Ceu5Lv6YeaqFz2AtBzno/6j9qrfKbxrqY+F7DGKaVvd6dfBLUwHq4rh4LWdSPR5LYEuemwyPRInF2lah6YdLUaN7g95APVmOVW1Q0gGqnKRhiBmBKuPexa321VYrn2tUOq5jJQ9d2SeoaCSU69/l3AKep8p4px+PU6cjSwLote+a62ZMBne7pInUk73wEeobfkX/f8jU6VqRgXd5sVTsVgqHpI9C2MYXlHJ+bqiz7deljQtzeDDlFoQWdLtX8aofnEf4K+4Zi9Wi0ZeQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from PSAPR06MB4024.apcprd06.prod.outlook.com (2603:1096:301:31::11)
 by TYZPR06MB3885.apcprd06.prod.outlook.com (2603:1096:400:6::14) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5723.32; Tue, 18 Oct
 2022 10:04:59 +0000
Received: from PSAPR06MB4024.apcprd06.prod.outlook.com
 ([fe80::4ab0:64f3:87d2:5aa5]) by PSAPR06MB4024.apcprd06.prod.outlook.com
 ([fe80::4ab0:64f3:87d2:5aa5%7]) with mapi id 15.20.5723.033; Tue, 18 Oct 2022
 10:04:59 +0000
Message-ID: <PSAPR06MB40249253567BC1925C14F813A8289@HIDDEN>
Subject: Re: bug#58545: 28.2; Toolbar icons missing until X server is restarted
From: Xuanrui Qi <me@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Date: Tue, 18 Oct 2022 19:04:55 +0900
In-Reply-To: <87o7uac6cv.fsf@HIDDEN>
References: <PSAPR06MB4024FE0DD9D22141453097DAA8279@HIDDEN>
 <87mt9wmx13.fsf@HIDDEN>
 <PSAPR06MB40240DD2AAB846A516213674A8299@HIDDEN>
 <87o7uac6cv.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
User-Agent: Evolution 3.44.4 
X-TMN: [+obWGXcWjVbTIPjBcceubKovaMdUWaPd]
X-ClientProxiedBy: TYCP286CA0052.JPNP286.PROD.OUTLOOK.COM
 (2603:1096:400:2b5::13) To PSAPR06MB4024.apcprd06.prod.outlook.com
 (2603:1096:301:31::11)
X-Microsoft-Original-Message-ID: <8285889185c0835abff3faffe1425850ad5ecf89.camel@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: PSAPR06MB4024:EE_|TYZPR06MB3885:EE_
X-MS-Office365-Filtering-Correlation-Id: 7e2fd861-1cde-455b-2680-08dab0f0361c
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: vHX39sq3GAaLSMqzxR6FtOdq9nvOsyXrPEYjyyK52pU/pnxCUI0NuiB7HJhjlNaJUT9f1wD2b2fZNKiqGZbiERlr0uArQ97LASMeRz5+knwIY93ODkk5nHSCWSlo00KuwchA2ZcAXfbRBNDlKNMGJNz2zNf1/RBgmK326XxnX+6nO9DADEC7wXr3w/6p+OGjXBqDR3dNgsHp3tUx2rqBL/U8a+5099SPBP2bdJRyYHwLYbzNrpo2ll/MuAZ1NYyjEQJUsalRJSRGFcjFfzqZo6wFQ16HiWyLGFohsYqdgDoCe4rjLTzAgaPh8zmUdR7yYH7ah6oqhqhNWExH+JdZg6nX6mF3By69IK9USRLMoIfPpVen9VGrbLJrPrDAbraXMbJC1Zr/aNeYbgJhFXfBjamN6RD7vnD7Mo1reSO5iQJyf/u7TvJgXLmNlEKZN1WeHZAVvCeb/h++WVicd585M+pGP2u2SCY85TXStxDAMW7FWE27vyATMJY15qHWzFw80uN8ToiE4tS5TUMMrAtspBJz7YXdsy/67W+z6j6sIG8ip6dhUGR5+Z9ACEgg1ngjrLDg32wSTXvxDwSDIc9wVkr8tL9kGrA1Raif32IZkhpI94paSsVXMrre2SJbr/5cQyYw1MDBONm3XNI8WU85OVM51jnUq7QEbt2zIMK/s9tFYVjuNuyxU5A8ptWGPuLS
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?utf-8?B?RDBwemN0SGNpL1p2azQzcnM0TWFoNlhGcVFSYm9xSmg2VnhjVlpnSEFMZWdI?=
 =?utf-8?B?d2M4ZlNrd3ZvSkNYK05LcEZXVFFzN29zZXNLMzdUQ3poVGd4dDlrcjArclk4?=
 =?utf-8?B?OUdZZDZGZmhVeEg0d3B6aW44TUJWdm5DWmJwVFRRRFlTSEJ2c0dtSnlwZjFj?=
 =?utf-8?B?ZUJLOU96UFBIRGVtUmlKblplTlFHUHhOMTR2SFg4cW1XL09Xb2tobTdOMnpk?=
 =?utf-8?B?UkxMZ1pOSTdYWWdGd3F5Y1MzeU9xejVEM2ZkQ0w5MWpPTDBONi8zRjRIOEhz?=
 =?utf-8?B?bEhFeEFIaUQzdVpQalo0M2V3andTWkpGd1p6elQrNHVSWkgxSnV4eUw4SFcv?=
 =?utf-8?B?SkUybWI0ejNhampYR216a3FBMGtEaXN6d3dDZW9mT2NhbG9JMzJCYXY3L0ha?=
 =?utf-8?B?TW16UDJtNWxScGQvV3g0OWRPNE5tbEhWMVprNERFelJJa1B2VU4zNnpuWngr?=
 =?utf-8?B?bVRpR3h6VjF3bWFUeXMycnora2Z0YWlrT2RYYUFPdzVFTmNEU1QwV0tTMC85?=
 =?utf-8?B?aVprczBuZVZuV25leVRZKzZTZURQY3lRei9YTkdQRlplQVlBQmMvK0w0U2Va?=
 =?utf-8?B?VThwVDVKWERreUYzZXo4NGlCUFBQdTBPT1pKeW13cGhIbFBySDJoQkloNGxa?=
 =?utf-8?B?eUozZTVLYkYzbjZsTlI5QmFCa0JLQkovY0xNMXZxdmcrSzhpT3pnVStydHBR?=
 =?utf-8?B?VlNPRFhjQ2pTaXdKT1NuMk9FM0Q3R1MwdEhzNkh3WFNEdTlrZTN0MDYrdkNR?=
 =?utf-8?B?NDVvaDRMaVErSzUvRmxQdU5aa1A4Wm1OcjhMcEpBUlpmQ1AybnJyVk16QlpG?=
 =?utf-8?B?cGdjaC96Z0JwS205amJQMmsvR0k4eGRZbm1KaFJVemJPTlJXR3RGYUFtdW5C?=
 =?utf-8?B?VFIxdFJYdUFhcDZTSWJoTURibCtzaEVSS2hTdHlFNFNPM2FLeUwwWWZ5ZWJ5?=
 =?utf-8?B?QlkyQ1laNHZoQVE5bytBWFh4bzczbGhSNy9aQ2JBaXNqVG9QRms2K0x5Vk5u?=
 =?utf-8?B?U0I2L3VNZFcyVlVFMERpZnM0a3lpbTlmTzNJVlhBYnNhRXpYaklVcHJLWC9t?=
 =?utf-8?B?dEpvSFcxM2xkeC9CZGZUanJURVVJUm9rSUdOZ0ZLNzB0TTkwWXlIaGdyRjJL?=
 =?utf-8?B?K0hMZW1xV0tYYXAvTzAzZWxST2lrSVR1Tk9SYlNCYTRVcDcrOFMzTzlFTmNR?=
 =?utf-8?B?ckNaaTduTWx4U24xUUc5dGJIdVUxRmlxYWp6NDdqVWhSckJ0TldXRzltaDhX?=
 =?utf-8?B?aDR5NHFNeGxyT1FtUkNnSmZ6UWpWV0JKOU5PYkhPU2IweXRHZUFIaGxROVFi?=
 =?utf-8?B?Vm5SYk9Sekh3UklGcnRvMzh4dXU5NjdNdnB1Y1p1amgrWWQ4MlRkN200bjhh?=
 =?utf-8?B?UlFtL1c5Z1g4VzdQZFAzNEsybTk5UUkxb2hrL3lucUhJOTRJYnVKN2Y2Ulpv?=
 =?utf-8?B?YjhsZUxTM0NIcFhzWjc5dzV2bDVjbDJXQTMrMnVUOE5LbllMS01mYU5oNnlI?=
 =?utf-8?B?dWtlR0h5bEw0R3dPVk1uQ2ZpN1l0ZW9aMTNpamN3ZEZCeFdncmxHM2RDRXE0?=
 =?utf-8?B?TmlJYVp3S0UwNlJtOFo5NEprMTB1Vk5sMVJNWjNDQlJ3ZHN1UDB1WFBwVkNq?=
 =?utf-8?B?V1hKWU54U3VhcEVnWlBzc0lnb1l0YWNiaU55OWNPMnp2emRlS1o3SHVwS3BW?=
 =?utf-8?B?cmVWaDJNRnIxSktXSSsycHJnd2pYcXEwOCtGVFNJUXVHaEJ3VDZBL2hRPT0=?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-3208f.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 7e2fd861-1cde-455b-2680-08dab0f0361c
X-MS-Exchange-CrossTenant-AuthSource: PSAPR06MB4024.apcprd06.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 18 Oct 2022 10:04:59.3122 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: TYZPR06MB3885
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 58545
Cc: 58545 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is extremely weird because I couldn't reproduce it on any other system=
s I
control either, despite that their configurations are basically identical.

On Tue, 2022-10-18 at 08:39 +0800, Po Lu wrote:
> Xuanrui Qi <me@HIDDEN> writes:
>=20
> > > just the window manager
> > Yes, you are right, I was restarting the window manager. Alternatively,
> > altering
> > any of the theme settings also cause icons to appear properly, probably
> > because
> > all windows are reloaded.
> >=20
> > > What about the GTK icon browser?
> > Everything seems to work and in particular there are no missing icons.
>=20
> That's odd, but there I really don't know what may be going on, seeing
> as I can't reproduce it here.
>=20
> For the time being, you can set x-gtk-stock-map to nil in early-init.el,
> to make Emacs use its own toolbar icons.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58545; Package emacs. Full text available.

Message received at 58545 <at> debbugs.gnu.org:


Received: (at 58545) by debbugs.gnu.org; 18 Oct 2022 00:40:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 17 20:40:02 2022
Received: from localhost ([127.0.0.1]:50508 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1okaeH-00028x-De
	for submit <at> debbugs.gnu.org; Mon, 17 Oct 2022 20:40:02 -0400
Received: from sonic302-22.consmr.mail.ne1.yahoo.com ([66.163.186.148]:40034)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1okaeG-00028e-BO
 for 58545 <at> debbugs.gnu.org; Mon, 17 Oct 2022 20:40:00 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1666053594; bh=JD2LwNxyNxonyi/fN4JMbrwwTtT1t/s2k4zKrezhDSo=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=pmYQ55c/7/Ed29+szKxFXeyLhPeYBqA6DeEryi6TxRPb/2lqC8F6ruvx0L1IsnT44zSu5gJwnrnsHv5uzQBaEl94CWDTY+Mpc0QGPKOUhaqy/o09ZnXkPiCwi+lWZ3kexMbjkrd/Qs2ebUxTYgMIjXicQN/jnUlpq/JT4U8dzyoRNTq2DEfxxbOCW5olDYh+Cw8PqoEMTZ0OZ+yQyPwPHyYaqeJIsTggcgMcuQg4DzyeX6ND8zstGvhxnTQK/ppLSnza5c65hQ1m/grHFZxkZSPKGUmVkR+UrlPFlPdOZttymsy8XsbyNszkPCWwQ3bKYDH9UGOAtwzHWyFBnmkkjw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1666053594; bh=9AqGnfW7itWhqejTFE03GHDoExgjZ8B177oMewamnHd=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=L4Ry57RqU0b6oGZJRqj6eOHl6SEIuUv+eDezCXHJAYsmPJTFcI2cCI3XoLerFuVRFIBv6PW0zGnWDCdll/OwZ6U7thVoY5a2aSd6vUdlgUVsKqwUyvmvQBaoNtLX28tONwlTvFypnEHBkalwFWbo0pmelPkmauf37yKH/1banHpaKv/cIRhcBNYCNvbPNlYP2JJVyx64DCQWNP2EN+NlmPWCDE6H1Ue/xUEpkHb+BEpeE76e8Ueew+b5eA805H7Cbyp2H++MLydOCfwzL0DG+W1hppYjOOGih1ZTEAdRprwM/17igJQFnNwAb8weRWRZfM0ApDm5Ri5enKbwXXIjow==
X-YMail-OSG: HIPBrsUVM1lU7b9Rcf5rbCo9WTB4nhiIoM2ngblWZxO.RmlVW8x376MgMONxDOb
 hFPxq8c..4gvY5bkXAyd_kBb45f2rzR_klzujG8t3nf1T9HOObhtO1LQit2WdwJ1VUWJpR5u_erL
 3XSciNQQiiIKACpITAE5Am52HKWbNFmkVRfS5fYJB9IqdvoryjAYmdMn95C6zN4rin6lmPMIDwv2
 hMZsWReZ8PXQookToKP0Gi4.APSM6Hlac2FxY.fcXXIY7Qny6Axa_pql9Hx5xAEjx4eGLd1c3VNc
 xfroTo_zy0e7YOmWuSqCegchgG4M3Tqy7C2wdrKjnYZ6BIDD7whLg3RXLhqFzWwklVyJn7ss6H4d
 Qomh25DMfc1fOa69nnjBBMmHh.4YgXFa8UotCEDf7Gx26IBz_qWd7zVIbKs_U6n0zuvHa4Q9IBWZ
 fk_439jCqP1ZkfHPJSb7RGa2zjcATi5P1TAE7t_7xmE8CU1j5Ub4BnGnp8_AKdXmotaiW1T3DCrx
 Mj.zL.d_ceNnCWj1Um8ZWwnBnyQpnFPO6SHpQDKkVbGUfIwih.ArePtgtMnyyluISMMk6rQy4gMh
 RkeEbMHAmX5Ut4I_IPWkNI4yhpfJJ0.KTH.9pwVEA1Kk78WgkOf8j.ZuQo5HmqXtoyvtmi7emAgH
 hP6a1J4HqgXSkMcIWYQ90zUZm.NBM0nbkh_iJCjzuBnzrrGPw1P5tUKbjJ0MLGyb7lDlbL0iHtD4
 a3UDyG3.MmfSy5xBq5lhx7KRkVHS34c22IT2dlXHkPyJOSBsFo_EXHtVZbgb1SWxM.hKzenuwMZn
 5oDEkQryUUzTphGp9Q6Vq2eqFTx_0qf.bc.TI6R2luv8lCJX.Kdi7dxlHYZ61TlGtb051qfvIgMQ
 68Aq5s8VwGlJ43K1g9sEy3Mjn.iDLOAC1Ne8MfB4dhMR0d9QxrDcQELQxjAu.kNt.jR1fAMGFkbz
 e34qeioIpADxcFEioobcvSvsvkN0n8Okq_Rkd6QFqaG9b8xtJ4qyGBqc5tKhYY452mLea7sZRHFa
 HLO2GVKzwrMcar4rk4Mk.AtfZyWFBXGElFNI.8fTBZw3M7cOKEWcXAutW3PX7vomBls0zK8PBVRL
 Vc_WB5V9XlbiWQ1._U4Yw_2hw7Xe4BkOomyLqgDXCx9vk5LvIpzF_gl_eCxU1Ro90xvD.LY_8SlE
 TT4SvNb4tSz4f62kpXED6JJcpw18UlQB6NdCE5FgBDC1zHCIsEim6qWzkoruJ0eIRY.4QD4yitt7
 c86oX7mbHdTq9x2xf7Mb9bPfAVhks02EEYUqkgEP9Yot4MDg3WJUS7Rsj1Wl_6D2DPD.3R_uC_se
 4qb4JM0LdJGvc_rvyOjO1CpNXO_afMv5NoKtZ1kznmhASB1NWSyHu4R8O3.7af2U3dZFxMTzeVz4
 lABoHMGdHGmz4JtIMTLF9btZExPHC3oY0.bOscG5e_gMXzO_wJrVSDNGpDaZTrtCyniUpguMvQsU
 su17PohxMDOxVDJQSthZEWDNelhX1p7htJUVfJ47VtUMTcYT7p5WGFDGY0UARQ6A3XxtTY0S1jPJ
 Y1qUXyXzp7_VpcSFqqF7kF8IN2rxI8rqq7bo7hYI8mXwhSacGY6qJA.cryze6GW62FPNaRCo8Ojr
 OB.eDH3GLuBAyvd1V0BWKaHmotzAN.pXNbXlhNc_.DLhYJpfbDDdf9l3cwJT0Lz55qJL0tn.PG6z
 J9aALEplL_Ouuz6.EugjjIqcpfeV6_L_9BPwqlhFRovBag9GlAqans04g8D3iLdHypfCV2iDH1Ml
 mjD5PrA_O_0Sbr_BtPSI9WjN9cEDD..Q9AA7_dFCku2F32V12m6WCprUSgCp1Ncz5Kt8exmVdLb0
 4_Ax7fY6q_tgqmLShfomju_Ckn3qMvXOoD24zA4dHsUiOln2zx4nFeJnk1ON9hiiyN_6SkCMIBCt
 BZakC8AR8VT5eQBP_oc0kDeo6n5_2jM48XRxGXHgu4zbTvTHJVTUdiSPRRoOEDdGplmHzND0tphC
 FznAf8iMlgTaMIY6XHRwa6unopiy_I1ewPTbISKzpiu75.AI5QHQCTY.BrfXR2eLlzURy8wBsnlA
 VVNa.DYV78OAlbpm2H8E2ZNUspEVNsBiWZgIBxH3Ce_QXnwp9kiAKgs4OcaT2534H6ZuFePPqYu.
 Pv.7ud17C6Xy3N0mWuhyYTT7ZK47NS7evALekeHdNR61Yf_1N6t8WDl0RlPC_8hbzSdpTilcmcxY
 .37kgNM0XCxmZwQ6WRcFkhxtCNdXu5mg_6KcD9nd4SQpdbKBMWnZjxp_ge.CpvZVolB4P.1wBiS3
 u
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic302.consmr.mail.ne1.yahoo.com with HTTP; Tue, 18 Oct 2022 00:39:54 +0000
Received: by hermes--production-sg3-785466d859-8rptm (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID 03267dec7c0f88e0181f079ae2a3ce11; 
 Tue, 18 Oct 2022 00:39:49 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Xuanrui Qi <me@HIDDEN>
Subject: Re: bug#58545: 28.2; Toolbar icons missing until X server is restarted
In-Reply-To: <PSAPR06MB40240DD2AAB846A516213674A8299@HIDDEN>
 (Xuanrui Qi's message of "Tue, 18 Oct 2022 03:44:20 +0900")
References: <PSAPR06MB4024FE0DD9D22141453097DAA8279@HIDDEN>
 <87mt9wmx13.fsf@HIDDEN>
 <PSAPR06MB40240DD2AAB846A516213674A8299@HIDDEN>
Date: Tue, 18 Oct 2022 08:39:44 +0800
Message-ID: <87o7uac6cv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20740
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 587
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58545
Cc: 58545 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Xuanrui Qi <me@HIDDEN> writes:

>> just the window manager
> Yes, you are right, I was restarting the window manager. Alternatively, altering
> any of the theme settings also cause icons to appear properly, probably because
> all windows are reloaded.
>
>> What about the GTK icon browser?
> Everything seems to work and in particular there are no missing icons.

That's odd, but there I really don't know what may be going on, seeing
as I can't reproduce it here.

For the time being, you can set x-gtk-stock-map to nil in early-init.el,
to make Emacs use its own toolbar icons.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58545; Package emacs. Full text available.

Message received at 58545 <at> debbugs.gnu.org:


Received: (at 58545) by debbugs.gnu.org; 17 Oct 2022 23:03:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 17 19:03:08 2022
Received: from localhost ([127.0.0.1]:50408 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1okZ8V-00083C-94
	for submit <at> debbugs.gnu.org; Mon, 17 Oct 2022 19:03:07 -0400
Received: from mail-psaapc01olkn2064.outbound.protection.outlook.com
 ([40.92.52.64]:36448 helo=APC01-PSA-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1okV6F-0004zg-SA
 for 58545 <at> debbugs.gnu.org; Mon, 17 Oct 2022 14:44:35 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=i71gDRDGeqUQA8KahhJ2jbPaB1XIwLBQy4gWgbooJGPxxdj/nt1X9IEng0ycmK4F8hdCI3P5sbBGVJcufHq0KHEjPeuro2P+RmP0DHovJDioPlPsWh0mzV2qG8/mOFKytWUWUBvl0l2ZO46oRKOYMIAH143Sj9yOWB2xPPvXx7yTV8Mq7hfxslnxkfHbKBCsqrUVTCoGVQvYJgpp73qchxC7IsIBhzr+RMXlbZrq+WNSMFhan2egrG/g3va5+Nt5lrFb74a6VFvVquoh0FuzvHBzVKQh2nNPNn3qBTIhj/34sPLB4MH6E7hLDR1ElfvJa4nw+7XfPDEPKGsOE4vCwg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=42zHFeTqkHm7KKUJuEmVsLP9IhECEJ/VnJVDqURCnn4=;
 b=Jle2Oj2a9yanwSotJKbeys2gazMkokKALJsyfjBu2uw0Sri8IzyRYWTFrUW7Zgftb/zM5gMNJK8HW3vUFBeGtyRt3mYZ10wdGsrtb8TusrSRbVDptIOk6Zn81cfnfJqAycVVhYfs8/ZfwbcRC0qXhpToMVLHSBGvzKmsvenXhQXI24lnWSKsZtfTTvEvQfwXupdB/A4symKj2T6Zu27HbNG/z6PfW3GfO3TMQWnKGqMazjfveF0kSqrelUn0YMYPgtYagwrskyGn01+/1WW7AtOQD+FHLz/+hp7OskmHtm1bnoscc4zwomPrE7T1EMODYE2Xj1FUON9nAwg7muIHqQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from PSAPR06MB4024.apcprd06.prod.outlook.com (2603:1096:301:31::11)
 by TYZPR06MB3904.apcprd06.prod.outlook.com (2603:1096:400:4::14) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5723.30; Mon, 17 Oct
 2022 18:44:24 +0000
Received: from PSAPR06MB4024.apcprd06.prod.outlook.com
 ([fe80::4ab0:64f3:87d2:5aa5]) by PSAPR06MB4024.apcprd06.prod.outlook.com
 ([fe80::4ab0:64f3:87d2:5aa5%6]) with mapi id 15.20.5723.033; Mon, 17 Oct 2022
 18:44:24 +0000
Message-ID: <PSAPR06MB40240DD2AAB846A516213674A8299@HIDDEN>
Subject: Re: bug#58545: 28.2; Toolbar icons missing until X server is restarted
From: Xuanrui Qi <me@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Date: Tue, 18 Oct 2022 03:44:20 +0900
In-Reply-To: <87mt9wmx13.fsf@HIDDEN>
References: <PSAPR06MB4024FE0DD9D22141453097DAA8279@HIDDEN>
 <87mt9wmx13.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
User-Agent: Evolution 3.44.4 
X-TMN: [MKGSvGf+GUK5Za5rbugcvznxoZVSIZMg]
X-ClientProxiedBy: TYCP286CA0044.JPNP286.PROD.OUTLOOK.COM
 (2603:1096:400:29d::17) To PSAPR06MB4024.apcprd06.prod.outlook.com
 (2603:1096:301:31::11)
X-Microsoft-Original-Message-ID: <7192d238a052d176738964e2f8615f444c619ccf.camel@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: PSAPR06MB4024:EE_|TYZPR06MB3904:EE_
X-MS-Office365-Filtering-Correlation-Id: 4af622aa-b27d-4de5-06a3-08dab06f9c11
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: 75O0554WxiKGO4MoTIjSgQbeRo/cVs6JAYOUr4JsIIP92p3E2eyv14buFdedkFV15Stf03O0VlpUwOiIBcd2tROcLdS9RLHeriVCtg+tI/BXOVsGYVbYwI8SnMzBp8omIIORC5xJwgCdQYQy6gzsuVDZMaKEXOpciIv2L960H+5XjvlCS8Nq6Ebk7mN5doJ7/SNsSpCzrZnAdSZamvDDZMAk5iaqhpCNgHbckQUwrSWSJkeo5ytKkd95XjqhmBosU0YYVqS/QboJOURpweYum/YPUPweIZvapA8fKO0QRli6By6hVjt4BBvqylpUhXuyzdtISUDjUGUfxp5uynPWbNf+UH0OLtTWouxGc4ioM49D9qMOQcWZSaBD/23c+CUrefk5lidnvjCpgCs61jzQg2SWxEt2AdHbI1SpCba63Y6Rmil/hkX8UaDBK/jH7PKr3Nt6G50jmh37R3Qrn6aX7AV6Fn0K9ynaOvSwBAaCbvMUHXZS80vZhBaKMUOuveNkvx81UPhUB7xMpJV7DmAAr+0BY2NiioZZRvoWu4vqj/GlaWIzSd7GUvJO4irX0bGKuts0Oq3igzNTrgyFwUis5e43NYaaTY7WXom5YaUQNiP80p1VdUqPXxDQd2cw82/zP8ihwS7BAKJ74eVYrsHLg99I/5kPSeZyTonBIOP8vH7dfX9EJNebk2j1d9nCYf3V
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?utf-8?B?Q0lWNnlFak5iTGFGbmpEZXZFaDBrUlEwMHpWUkJMWms4aHEzdkZscitjQmhl?=
 =?utf-8?B?bWFDL3dwcEt3SXhhZjhGc2FkWFpPdm9ROElobXJIRmZ4YWZaUzJVdUlXeExU?=
 =?utf-8?B?SUYzMUJJV1U1anhiS09YbmRpZnpDQzYvNHRhVVBsdnhDdG1TcGlaNlRBeUo2?=
 =?utf-8?B?V3JhK2dIcGtqU2JENytBemdqVC9CZkQrQ0FBSGEzTFhSb0hFcmNxMW51b2h3?=
 =?utf-8?B?N0xuU1c1enF2OVB6eXAyVzdNam1rYjNTTk1JWVBVWDQxMFlEaWxVSC9BSHFC?=
 =?utf-8?B?NDNBRHdaeG1xNlY2UEZEZWkrelpLQlhHaDcwbHRlODRXZTRKcWtveEord2JN?=
 =?utf-8?B?SGIvRmp2UTlGRlJLUklKbnpySERPM3k0S1M3NmZzOWlzcnN3Tm53bU5saFA3?=
 =?utf-8?B?RTVBYTBVSkQ3dDdLbFA0Q3dSeTFNM1RIVk84a0dtbityY0pXR3JxZFBlOU5p?=
 =?utf-8?B?N0p1Tk9zcDErdzNZd3VmOGtpcVhtdTBKRDF1V29UTVNhdnFWM0thSURhUWcw?=
 =?utf-8?B?NVI3VzlFdTRsYjBFN2t2dk9DeHB2RXpNR2FDRVJRVzdCM24zVEU4UVBaUU9H?=
 =?utf-8?B?ZXp5YWhKQkNwS2k4OXkxTE41UTZPd01wUkk3eEZseE84MkM3aFZ1REN0bUlm?=
 =?utf-8?B?UXhHMTBuSzNkaS9ZbklMSUZ0SER2c3NQa2xJL0lsV0M1SUliNzArV0JEMlp0?=
 =?utf-8?B?blhuRUlEWUU3akJvdjM5N2cvM1ZQMFhrQmVpa0tZZTVJZURaMVFJNWx6Mmkv?=
 =?utf-8?B?bzlvRk5aRzE2NXg5dm5OMTIwUGh2Z2FSY3RKRkwzWG4zbUt3eVA4YnFrRzFq?=
 =?utf-8?B?Q0VqNVNkN0lmY0g0WFJ4dDFZSXNuU0YrYi90RGdrTXNyVXJ0NmhtZGNlVENy?=
 =?utf-8?B?VVZ1NFRJRnRWSEVYNkd0eTRpSFVvRnA4eDV3VUFaZVlnS3pNZGNKS2xwNTlW?=
 =?utf-8?B?RUdma0NiVU1OMWRzTjRDbHFtZ04xRDFpL3p5QVVKbzNxWkpuQ1ZxNGM2dEk3?=
 =?utf-8?B?VHFOVEQwVDFITVJCbWNqN3pUcmdDZERENVZ3SjF6TGN2QzhLcmhLMkx4RHRM?=
 =?utf-8?B?a2hkK05rdzRiL0luSXdSYVl3Q3JudkM1d0NPU2tWZDlrTEQzOEhEWU1mTWpW?=
 =?utf-8?B?Y0E2TUd1SzBzTUpUTm9vYmhrRDZ4T2h3U0JWcHJZMXlGKzY3TjZZMy9wY0Fl?=
 =?utf-8?B?VkxqcmhuaFJjN1pKb0lxaktNbXhtT3BuOTRVeExIcnhwR3AyMUNUTGVCTmlV?=
 =?utf-8?B?RDRuMkZQQ05yeVhEK1VsL3BqSmo1RU9iYk92K0dKc29obUFJUlRMODBDbzdC?=
 =?utf-8?B?OWQrSHpmbG9rQ2pLWXV3Y1BVdDlMS0hYZzVWYTFzV0ZveldIZTgwbjZCZCt6?=
 =?utf-8?B?QWpKek1DSGJDTHAweEZJYW1UelZaenBkeWFtVzlZRmQycTlrbzlUQzJsTEJQ?=
 =?utf-8?B?UjdXQ3BNMGx3OGNkdUIyY2QrR0J1dVYwVHN3SlloMWtCZXRxZzdrcFh3aG9o?=
 =?utf-8?B?NWQ2SmZMRzRUZjc0dVhYUjk1ZWJLUEswdi9Ecy94eHdpUmt1elc2VzUzMWd5?=
 =?utf-8?B?SGxOQWxFeThuUkpHbUtFN2FYN1F2MjdKc25sc2lQSEFkOTJ5V0plVUVTQzJF?=
 =?utf-8?B?ck9nV1FMRHVORGdYNlNnbTdiSU5ZaUduOEZQOEI3NnpLV2p4RmlMTGN2Z0Rk?=
 =?utf-8?B?ME9CWnJhcWg3MFh5UmRQWW9MaTlTUzFRTkNobVVTa3IyTlREdTF6aEZnPT0=?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-3208f.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 4af622aa-b27d-4de5-06a3-08dab06f9c11
X-MS-Exchange-CrossTenant-AuthSource: PSAPR06MB4024.apcprd06.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 17 Oct 2022 18:44:24.0077 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: TYZPR06MB3904
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 58545
X-Mailman-Approved-At: Mon, 17 Oct 2022 19:03:02 -0400
Cc: 58545 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> just the window manager
Yes, you are right, I was restarting the window manager. Alternatively, alt=
ering
any of the theme settings also cause icons to appear properly, probably bec=
ause
all windows are reloaded.

> What about the GTK icon browser?
Everything seems to work and in particular there are no missing icons.

On Sun, 2022-10-16 at 08:28 +0800, Po Lu wrote:
> Xuanrui Qi <me@HIDDEN> writes:
>=20
> > When running Emacs, initially I see no icons on the toolbar, only
> > text ("save", "undo", etc). However, if I restart my X server by e.g.
> > pressing
> > Alt-F2 and then
> > typing "r" under GDM, the icons appear correctly on the toolbar.
>=20
> If you mean in the "Run a Command" dialog used by GNOME Shell, then you
> aren't restarting the X server, just the window manager.
>=20
> > I have not been able to fix this problem even by reinstalling Emacs and
> > clearing all Emacs configuration files, and I could not reproduce it on
> > any other systems I control either, even though they are very similarly
> > configured.
> >=20
> > I am not sure if this is a Emacs problem, but I don't see any missing
> > icons in other GTK applications.
>=20
> What about the GTK icon browser?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58545; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 58545 <at> debbugs.gnu.org:


Received: (at 58545) by debbugs.gnu.org; 16 Oct 2022 00:29:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 15 20:29:17 2022
Received: from localhost ([127.0.0.1]:42801 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ojrWn-0004l5-47
	for submit <at> debbugs.gnu.org; Sat, 15 Oct 2022 20:29:17 -0400
Received: from sonic309-22.consmr.mail.ne1.yahoo.com ([66.163.184.148]:34887)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1ojrWk-0004kp-M5
 for 58545 <at> debbugs.gnu.org; Sat, 15 Oct 2022 20:29:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1665880147; bh=T0lEZZUE2x2gXLkrr9KySaSGx2la4Oo2RY2rVcFcn/s=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=nOmeByZqUOABwhghvTyzKoT6NtizUMJlvuj3pNI+/cDAzz9aZ3CSKgpwtf0nHQDuhSu0pJvUpu/voz6Sm2NV43FnlgLBi27EFZq/XovmkgVrstHFkF62zxG/UbE0cgCvs5grEgucvCN1ii9sUdiy0q5hrLbydAqKYHVOes238G63i33IoGBpZRXuPpy/R+13M+O4HrF2X7i1XSsAC9gf0trgVActcf9x3kJJeQD6Vs67VP87NDPvlE3O24qPWzGSxr0xDXmZmnopoL9UYMBhOUdFL4Bb28kgzeCm1ANhaBcQ1678HKVulnlRgMY6WMLBctybWB+NJ1HCIGfr4DQJpg==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1665880147; bh=DYyk2EZKU9jL4ZMEFHcmor+EeCB4qprT66IF1m3fYkQ=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=gMa0y2PUfM/1OEhJ3w4EYWHY2q4CSVC9q9KfvFYM8DLay/eMqEEdg6VsV+Ik1RUM64Ln2DSej87qYfu90ST+bJ3bmcBqMYviDhqwxLSdNQiFYOathnPhV9nYTiOXNL06MVQdird8IoXTuCAGAo3kv+Pu5CM4Neess8qrcV34WA7H93iMEh9u/JIZFVnhVn3mgoDAEDoP9NEbg9KjXaAhJxXh4u0WBTUvgyg+p1cZT1g8r1QRgvl8wpCMGJh+g21Y/gmD1AfWrhd+2z6YAV2/BgHqKyWBM3mfNg80wE4THa5Fk2qMnfYE9as8GZjSS/EvgZSDfVFYSAl/1i+n+5MOsg==
X-YMail-OSG: JA0VFjMVM1lelaplrCzPwyqCMx1qoNzB4LRK00Dp0t1NiO4WN7sVpgAFPpvfdQW
 Yz5qRoT.0ynAqDcMBI09AT4ix.DsuVkQrxZF2w9iNj9pDaQtiNZrJ9IRnYbAYs22ODkq5AgwlWnT
 77_k.il0tnNuNbZiKAELDyGZKnT.MmWoHN3iGIkgJs0THVZaZW.B6NIhqC1Cdh.pBhePHNtViPEB
 OD1Z2xlqdEgg.5yK63NlVG7w1nooFIqPQF91MtepAI5rw3j2g9b_O5a78Qu0XlfWAyrE3ym5phIt
 uYyEhPUhUYBvSBVkRDzHXXd3E07e0cqwsj06LzQYN0cfucBzXkeBNdBZVaHHxQtyxeOc0Re67xVs
 GHfCJtqJExZRhJm9.m.VZ.YlesdrngmLJGShcWUGSU9y0YGMixuZUcBj77N_QB36fdV3tqesffqk
 OUOnqZy6SC9yXdx1Xyj.JFmC3JWxyh.eFBvWzTgDZJkYOa6aa0K6waH1w0QvrWzq4ZgI7p45brib
 9BeI5L_tkFN2Gv7AGrTcZ87yPxrcR4tYdRJ4JDDiYBhh5a.hTeuZmRmvZT.y5ldrupwdxuBdjFqm
 dER0QjcSd.W.OMpOiKlZknIUyPfgbtkL9cq_e1kGewfUzDXX0qxfM3OmmJ6uMDvRJy1LgZn1cMLa
 2i5mm9IMsHh0noCBiVUm7EI9Aqj1w_eUKcKZk1q_JulsfWm6YX6Ujf060KWBBQ3ckdPG_Iw2SW1x
 U6hM9sKaIcFHYKB.F2Hvo4u9zXj4gV0nYTnDkEfY2Iy1s2p1MrLnJjOlzuEXPGXXwcmLs0vjs7M6
 .zcgdjPdpljZx7U7EUSP2R2QUVY4Op.8WyGyzw6dZJcc9H.HKQzYJ0uUT1fk1gWte8lM9eByoAKn
 jRvVDvhNS6Jup1Lwcp8L5FUhBPSjnuPUWFW4cv6e3MZpf.lj87hl.eWW9__7WhKJcFvstJaAa98b
 1gh4DdYOEQy0_YslW_E1gUgiYw9cCathrjddY6pKB3.8N.dS9Qp.Pqk2NK2QOj9gXd9TOIBcaulU
 c5jLdQV0.KrmRUe0ExIt_3jAcXyCiziKVg_hDfczsPx1NIJTSprwB6oABe09tfxzLm9qy9e7h_zB
 BDpg0kcE4uxupUjnJD9ZQuhk6ayrA9XZTYZHuHlG5yWeDMEkVi7L00d4529fXoGLsePdLIuHwfu7
 2HoCgiMP_4QHNJk8P69aHJ9GBXDAIRnjhIsOKS_0CEtRJjNapQ4wwhluqYNUdPUoan664_Afnkxn
 ZFoh.JVRuHBYKykVbM2SxBAvlgumKLruKxxGuXZkLr9m045TNAVDaCyPck0iGrIHvjlg_upW4uR8
 rQiIvIARD9OfyxNe5NV0RPZbwDOiVfOlxqAs8uvbK2U_6EhmzFtHwOROmMlL4ZFzRoi6xz5xCXmX
 iRKKtFTicyPLx2oAEZwaokZF6LfOh_9LgPvzuyV.EboE61.olM7Ocf7iHOX.3j42Mi0VJ7pREHFC
 0mLLPiyb3pUAYgSnI_bc7Ck1JyfkGx.PUgFAzePiPfiw2xLv0IsDd3671uSCvvk06HDtUKU1k33q
 2R1tOf5b_vfTfYtm7QgWih3otL_hNEb_MKBNs6WbqTlJYDfwzC.KzC0wegHT64e6XbnImztQzbWH
 mPED0Ro1YH.fOU5ZBAecAjUrECje4wRWOxH2jHiWgNuUhiwSpfUXhulrZOFzsfbiHwmiJSvh0BZy
 PeOihFsMKbMmOfw0AsiDlYKm73GDN5XasYQEZRudcylZhQHHTeLu1RvptWRF5e5.DKw8wf6fjsQw
 kb5ly4yMdkXG7MnVsk0jL_dmo4zY78WGw3LwL90QE7alPtTmws7K7Vm3kVgTJETpPE5.BaXo1CFg
 xd6BZFS26gNzBqNthW8GrD9DSDjRjIpvX1KTGOTZWAMh_TZf8977kBClNdF7ZL2_2H6i8eXFxYlz
 i9ARm9Wh6RYOzytCj317caqiwxBvPm_JWsnLQOm7Yb.r9VdtnwfsfPCN1yVPqRjuxiwkPK5YCHwk
 Ud85zyBWUlWN5gOlfps_NyUsr1qzVeiYDP4ZDU3GIbb6GsaOaWL.IupLc4HK8MuHVyYccYYGafkl
 _Sc3wbEm1zUuOiPZmWuPvCf0MJUs34u.umJeU8EQRJU7WnYZZIolDqX_3E7PKIBPJNulemub3c2I
 AdW0VZUPnUMdqskbcvnmoj8TPXdjxbARvhdxS433T4lfbLevLdDCLgffMxO3dSABfngmuyZtcUO_
 8XGPy2cAkF.ijE_R3.i7gix1ckrE9v.ykacyCXo_QSyhw7qMNwFq85UPShNGo5ogyw0gwYnLvfeN
 FlDo-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic309.consmr.mail.ne1.yahoo.com with HTTP; Sun, 16 Oct 2022 00:29:07 +0000
Received: by hermes--production-sg3-785466d859-xnk8q (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID 67229a131254e21cc0231eee86ae96db; 
 Sun, 16 Oct 2022 00:29:03 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Xuanrui Qi <me@HIDDEN>
Subject: Re: bug#58545: 28.2; Toolbar icons missing until X server is restarted
In-Reply-To: <PSAPR06MB4024FE0DD9D22141453097DAA8279@HIDDEN>
 (Xuanrui Qi's message of "Sat, 15 Oct 2022 17:37:00 +0900")
References: <PSAPR06MB4024FE0DD9D22141453097DAA8279@HIDDEN>
Date: Sun, 16 Oct 2022 08:28:56 +0800
Message-ID: <87mt9wmx13.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20740
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 783
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58545
Cc: 58545 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Xuanrui Qi <me@HIDDEN> writes:

> When running Emacs, initially I see no icons on the toolbar, only
> text ("save", "undo", etc). However, if I restart my X server by e.g. pressing
> Alt-F2 and then
> typing "r" under GDM, the icons appear correctly on the toolbar.

If you mean in the "Run a Command" dialog used by GNOME Shell, then you
aren't restarting the X server, just the window manager.

> I have not been able to fix this problem even by reinstalling Emacs and
> clearing all Emacs configuration files, and I could not reproduce it on
> any other systems I control either, even though they are very similarly
> configured.
>
> I am not sure if this is a Emacs problem, but I don't see any missing
> icons in other GTK applications.

What about the GTK icon browser?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58545; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Oct 2022 11:56:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 15 07:56:32 2022
Received: from localhost ([127.0.0.1]:39685 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ojfmH-0004CO-Iu
	for submit <at> debbugs.gnu.org; Sat, 15 Oct 2022 07:56:32 -0400
Received: from lists.gnu.org ([209.51.188.17]:38672)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1ojckG-00049a-Uq
 for submit <at> debbugs.gnu.org; Sat, 15 Oct 2022 04:42:16 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:39668)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1ojckG-0004Nj-OY
 for bug-gnu-emacs@HIDDEN; Sat, 15 Oct 2022 04:42:12 -0400
Received: from mail-tyzapc01olkn20800.outbound.protection.outlook.com
 ([2a01:111:f403:704b::800]:35185
 helo=APC01-TYZ-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1ojckE-00022i-DG
 for bug-gnu-emacs@HIDDEN; Sat, 15 Oct 2022 04:42:12 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=dNDAGLaztcmxyZkH/7F5YaqpLQ//iLx1+5O7sY/Gw8AmX/bWtnUmQXP866KlqPTUhrywdcrz+tBdwg3MgjzhDpWICk93qN6qMMvFrzu9A3h3+z4VXC4uLvl2b7MPucTPG/ZDclmG3SE8PWIqDyW+JOw9efaIo8PyCnv4D2O+Ng9aabNgTp5wo+48oeBXZUMs8B0Zf00rZ5t97+cjpzwgZi3UCXRbyQ0SWVz+vG/ZN8ZMSrXajGCXcFfgqvg//+46tER9fr5wWB21MzAiXhKDzhMRjdTcuZl13hDjEcFcVIxHydTj97e3bV37rmpPTB/mQQhHWaspsRBRLo5XiAVC/g==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=v64jhlhgiG1k1j2G2rALFwga2Krt+BmKzOznsW8lXMk=;
 b=FBsSY1e7zFH0tfF4+0gcd8aAo8AOuRqd7WknAIGeG0tSMeFQA+EqQG7QTv2UsGpuAUSnWiKcXeaMtOGxvKLlwS5ULwnOlAwfI5IMwTri7A/RdNo+v7AXO6ci9mRHNYje2vCELj3WnrXmwLAWCShOJ4GCh5F+BG3ybR50+NbBMmZ2bYsBvKhSMgIif98+W1AqmguluuRsIknL4cBsi7p9DrZ0NyzFT67YjHW83G1SUbtOR+gJYUcJnp0Lymaf5vZYSEh9mvtvIAz2XloeNznrlDPZ67RjmMVfuRgXfps5EuhUvE3xXLFfSsOKUGvc/KYHUBfI/+NT0wCu8gOuq4+8lg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from PSAPR06MB4024.apcprd06.prod.outlook.com (2603:1096:301:31::11)
 by TYZPR06MB5842.apcprd06.prod.outlook.com (2603:1096:400:28f::14)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5723.28; Sat, 15 Oct
 2022 08:37:03 +0000
Received: from PSAPR06MB4024.apcprd06.prod.outlook.com
 ([fe80::4ab0:64f3:87d2:5aa5]) by PSAPR06MB4024.apcprd06.prod.outlook.com
 ([fe80::4ab0:64f3:87d2:5aa5%6]) with mapi id 15.20.5723.030; Sat, 15 Oct 2022
 08:37:03 +0000
Message-ID: <PSAPR06MB4024FE0DD9D22141453097DAA8279@HIDDEN>
Subject: 28.2; Toolbar icons missing until X server is restarted
From: Xuanrui Qi <me@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Date: Sat, 15 Oct 2022 17:37:00 +0900
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
User-Agent: Evolution 3.44.4 
X-TMN: [IrP+wa0vTMZZAbUAy0MtviewVaZE+1AN]
X-ClientProxiedBy: TYCP286CA0069.JPNP286.PROD.OUTLOOK.COM
 (2603:1096:400:31a::17) To PSAPR06MB4024.apcprd06.prod.outlook.com
 (2603:1096:301:31::11)
X-Microsoft-Original-Message-ID: <3e88c12b657faa7a996ec465004b9b95a84118a6.camel@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: PSAPR06MB4024:EE_|TYZPR06MB5842:EE_
X-MS-Office365-Filtering-Correlation-Id: 274127a4-44c6-4497-2fe2-08daae886f18
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: jR6tf8FCNtmAY5tk86GePpUbst5viK453dMiZM+/zI8f1h7BOZRn3nQuC4/oH1Y69ga4uSk4hddXhEhbGU7DNhe9z9AfB0igYA8KOogzwvPyB43n5KgSCaQuqoqxmCIWd6xJfnH6cT0d/gobFJqP6KQm7Zw4Tsi8EwYJANLCO/9iUrEFaxKnJMbaXRzpjwfbMSq1L5RG2+7cVWTNcponMSq+sE/4QGPnI5gRLfUxw1GgRExSfi5m3VP4YzyZ46bKIysFHt4UF2asupsUuQyg9W/H0s2sQzXWaA1RRxP34C2Z9JH0CmeX6V2OpWYufWF1wcPOnrT7a3lU0GKrIsTS/Yrm9CP45GT9vJNxVHxBnOaf/fTL8YZYAjPr0tfCYBkJ4DjCNvH1QfsCXOpEDMo31NiKortwCaxV2S0X0C8RE55UtOZR9CnLmakv2/l+Y++Fqc07ifDCQhT+uQ6wZ7EKtNt0yTIQPGOJGFVOvERPCMtFwmgc2rdJUfhJe1JPsc4S1w87ug0BnjFpRRouwosyUT7PHID8dM+0atRfxHYHOzqPJOs7C8b9kgHH7kx3V0obFFe62kpP6Za3sJd7RR0C621B/fYL5goaYaPug+DfHDnzXB3wxhK3K12w4drJQJCEV3mxO3GdqsMiDEBH0hSKBg==
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?utf-8?B?ckNMRU1QSTlQbUdmMVQ2cDluUG1vR2xhUm9Kd3Z3WG1NcVFnanRTRTRjSXRR?=
 =?utf-8?B?dGlmNFlBc2xjNlQ3Y294VFVFd2xPZUV0SjFiM0RZbXgrbGN1Wi85ZFBUQUI1?=
 =?utf-8?B?SUZGbmVNcktucTRXdDhsR3VjSlZEbzhzZ200cTBGcXh3YXViWUFKOUxSNG85?=
 =?utf-8?B?a0ZZdml0VS9xbnVra1pRcm12MUljd1ptZmNkTXQ2V0hPaHZVM3pHeldvK3VR?=
 =?utf-8?B?U3doZWVRY1p6VE14VGdvQUYzUUhOV2o0U0gzMEZIS2Jic2taamp4b1RiQ0pS?=
 =?utf-8?B?VkVxbzZrTk9DOExvdWpJVVpQSS9LTkRMRStMOEhrbm9ycUl6NFBHMXhzUFkz?=
 =?utf-8?B?alowYmw1SS8xQkV3QlA3RklZRDVVbmpHZldNWXd0RzB5SFhrbW00cFhycVVw?=
 =?utf-8?B?RXpybHdETkRtdGJaNzZxQnJQRUtPUFUxWktpOVltbi9WK3p1N2drOUlBYlRE?=
 =?utf-8?B?RVdtSW52RlphNXkyZWtvVEY4bGVJeDJ1NVdRL3FBZGF3V1VNR1pnL0UwZlFS?=
 =?utf-8?B?LzJOMjJqR2dTLzJrOUljTWFZY3hxZER0NUo0alp4dkgySUptWFJVV2szS3Q0?=
 =?utf-8?B?Z1M5cU5hSjBUMnN6eWdwdS9FakQ4akV6Tkl0a1BmVWZwMzJMZ0NEczhncVpo?=
 =?utf-8?B?NC9WOTBhYWlicXM4Y2trMTMzSENPM0I2TnM4bHY3ME1RMkNJOWJPbVUzSzUx?=
 =?utf-8?B?K3lGY2dHeHF1b0RyM29DS29WUVZFWW80Z1JjeTh4OHB5MFEyRmJhcHo2NG9v?=
 =?utf-8?B?citZc0RmTTNFZGVRN3VDdlRQRWY4K2tmOXA1S3JFUkp5SE9ZUFBRdyt1dXU4?=
 =?utf-8?B?NlJzSDM4bFlBSFdwT00xZDhiWnRDUWI5bU5GdVNkd2NZR1RxWm1pZmJUWDBv?=
 =?utf-8?B?UTFUTE0rSjdKa21sYnFVanByaTdGa3NCekZ5S1hQd1FQaVdJZXRGK1NST0lP?=
 =?utf-8?B?bXNCVno3T01SaS9PbFlyN1VybTF3L1VRWEJWWVhyRDhOaHpSVXN0UVdTVTA2?=
 =?utf-8?B?VzJ1STlEUFYyL1NRNE1QajJYcGdFMFh1QUJGd0VJRzNYNWN3RWlLMEVDTnU3?=
 =?utf-8?B?NURHZXVkRlJqQ2RsdWVPd2NmeHVkMFVJQzM5cS9yNjRJb3BtdU5WQTNWNi9q?=
 =?utf-8?B?ZVJURkVkaVdOMzFreGdqcVVrWWtHZEdiN25HUFNkbWxYVEZsZjZITkZweTlm?=
 =?utf-8?B?eUtiM09LbklxQmI4Z0VpRGhqZmVTQ1hUQzc5S3VKeXNaNDNrV3h5VkRhcDRT?=
 =?utf-8?B?b0FiTW1ROFh0SDJLYzh0MlF6VklMVjdjMFJBZC9HejlRSmVCNWZlR1J0SG8y?=
 =?utf-8?B?UlE0d3pwN2R4UHRqT2s3UkZlZWZ2YjZ0bFdMR251WTFXcmhmSmt0WVIwYXVa?=
 =?utf-8?B?amtXUDF1UmFqSmZVOTJEOHB1cWhLZHY0ZUlCeDVaaGJ5SlFaWFQ3YlJXeFZ1?=
 =?utf-8?B?cHR4T0ZUTzNuYXNYNFp3NmpTc1F1UzU3SVlBWm52Z0wzVmpKemJNY2lPUjkw?=
 =?utf-8?B?Vmdoa1hndU9tMjZMTVJwSGlCaVlPc05sZlNKZUZrOUdFUE43bm9RUk1MaFE5?=
 =?utf-8?B?K1Z4RFBWKzROc2xzRzZia2ZUR3NvMnYrS3ZYWHJyOEVhcVFjbis3K3NRS052?=
 =?utf-8?B?U3hYNXBuRlAwNnlISUhpNDRYSk5QcVk3RWZQZFA4RFBWOFVVRFJWc2NQNXNI?=
 =?utf-8?B?N0FxdS90ckJrU3QxWDVSM2VPT1VBbERHZUtvSmIzczlYRVZLaVZjamx3PT0=?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-3208f.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 274127a4-44c6-4497-2fe2-08daae886f18
X-MS-Exchange-CrossTenant-AuthSource: PSAPR06MB4024.apcprd06.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 15 Oct 2022 08:37:03.3218 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: TYZPR06MB5842
Received-SPF: pass client-ip=2a01:111:f403:704b::800;
 envelope-from=me@HIDDEN;
 helo=APC01-TYZ-obe.outbound.protection.outlook.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 15 Oct 2022 07:56:28 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

When running Emacs, initially I see no icons on the toolbar, only
text ("save", "undo", etc). However, if I restart my X server by e.g. press=
ing
Alt-F2 and then
typing "r" under GDM, the icons appear correctly on the toolbar.

I have not been able to fix this problem even by reinstalling Emacs and
clearing all Emacs configuration files, and I could not reproduce it on
any other systems I control either, even though they are very similarly
configured.

I am not sure if this is a Emacs problem, but I don't see any missing
icons in other GTK applications.


In GNU Emacs 28.2 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.34, cair=
o
version 1.17.6)
=C2=A0of 2022-09-12 built on frederik
Windowing system distributor 'The X.Org Foundation', version 11.0.12101004
System Description: Arch Linux

Configured using:
=C2=A0'configure --with-x-toolkit=3Dgtk3 --with-native-compilation
=C2=A0--sysconfdir=3D/etc --prefix=3D/usr --libexecdir=3D/usr/lib
=C2=A0--localstatedir=3D/var --with-cairo --with-harfbuzz --with-libsystemd
=C2=A0--with-modules 'CFLAGS=3D-march=3Dx86-64 -mtune=3Dgeneric -O2 -pipe -=
fno-plt
=C2=A0-fexceptions -Wp,-D_FORTIFY_SOURCE=3D2 -Wformat -Werror=3Dformat-secu=
rity
=C2=A0-fstack-clash-protection -fcf-protection -g
=C2=A0-ffile-prefix-map=3D/build/emacs/src=3D/usr/src/debug -flto=3Dauto'
=C2=A0'LDFLAGS=3D-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now -flto=3D=
auto''

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSYSTEMD LIBXML2 M17N_FLT MODULES NATIVE_COMP NOTIFY
INOTIFY PDUMPER PNG RSVG SECCOMP SOUND THREADS TIFF TOOLKIT_SCROLL_BARS
X11 XDBE XIM XPM GTK3 ZLIB

Important settings:
=C2=A0 value of $LC_COLLATE: C
=C2=A0 value of $LC_MONETARY: ja_JP.UTF-8
=C2=A0 value of $LC_NUMERIC: ja_JP.UTF-8
=C2=A0 value of $LC_TIME: ja_JP.UTF-8
=C2=A0 value of $LANG: en_US.UTF-8
=C2=A0 value of $XMODIFIERS: @im=3Dibus
=C2=A0 locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
=C2=A0 global-company-mode: t
=C2=A0 company-mode: t
=C2=A0 TeX-PDF-mode: t
=C2=A0 global-linum-mode: t
=C2=A0 projectile-rails-global-mode: t
=C2=A0 override-global-mode: t
=C2=A0 tooltip-mode: t
=C2=A0 global-eldoc-mode: t
=C2=A0 eldoc-mode: t
=C2=A0 show-paren-mode: t
=C2=A0 mouse-wheel-mode: t
=C2=A0 tool-bar-mode: t
=C2=A0 menu-bar-mode: t
=C2=A0 file-name-shadow-mode: t
=C2=A0 global-font-lock-mode: t
=C2=A0 font-lock-mode: t
=C2=A0 blink-cursor-mode: t
=C2=A0 auto-composition-mode: t
=C2=A0 auto-encryption-mode: t
=C2=A0 auto-compression-mode: t
=C2=A0 line-number-mode: t
=C2=A0 transient-mark-mode: t

Load-path shadows:
/home/xuanrui/.opam/4.14.0/share/emacs/site-lisp/dune hides
/usr/share/emacs/site-lisp/dune
/home/xuanrui/.opam/4.14.0/share/emacs/site-lisp/dune-watch hides
/usr/share/emacs/site-lisp/dune-watch
/home/xuanrui/.opam/4.14.0/share/emacs/site-lisp/dune-flymake hides
/usr/share/emacs/site-lisp/dune-flymake

Features:
(pp shadow sort mail-extr emacsbug message dired dired-loaddefs rfc822
mailabbrev gmm-utils mailheader sendmail server company-oddmuse
company-keywords company-etags etags fileloop generator company-gtags
company-dabbrev-code company-dabbrev company-files company-clang
company-capf company-cmake company-semantic company-template
company-bbdb company-robe merlin-xref merlin-cap merlin advice
opam-user-setup company-auctex company latex latex-flymake flymake-proc
flymake tex-ispell tex-style tex dbus xml crm texmathp lsp-haskell lsp
lsp-mode comp comp-cstr warnings lsp-protocol yasnippet xref project
tree-widget spinner pcase network-stream markdown-mode rx noutline
outline lv inline imenu ht filenotify ewoc agda2 rvm cc-mode cc-fonts
cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs
mediawiki url-cache mm-url gnus nnheader wid-edit mml mml-sec epa
derived epg rfc6068 epg-config gnus-util rmail rmail-loaddefs mail-utils
time-date mm-decode mm-bodies mm-encode url-http url-auth url-gw nsm rmc
puny rime rime-predicates xdg posframe popup edmacro kmacro linum
cl-extra help-mode solarized-dark-theme solarized-palettes solarized
solarized-faces color projectile-rails rake f f-shortdoc shortdoc dash s
inflections inf-ruby ruby-mode smie autoinsert projectile lisp-mnt
mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr grep
compile text-property-search comint ansi-color ring ibuf-ext ibuffer
ibuffer-loaddefs thingatpt cus-load exec-path-from-shell use-package
use-package-ensure use-package-delight use-package-diminish
use-package-bind-key bind-key easy-mmode use-package-core finder-inf
tex-site info package browse-url url url-proxy url-privacy url-expand
url-methods url-history url-cookie url-domsuf url-util mailcap
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json subr-x map url-vars seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib iso-transl tooltip eldoc
paren electric uniquify ediff-hook vc-hooks lisp-float-type elisp-mode
mwheel term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite emoji-zwj charscript charprop case-table
epa-hook jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice
button loaddefs faces cus-face macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo
move-toolbar gtk x-toolkit x multi-tty make-network-process
native-compile emacs)

Memory information:
((conses 16 546848 20553)
=C2=A0(symbols 48 37959 3)
=C2=A0(strings 32 148553 5641)
=C2=A0(string-bytes 1 4101976)
=C2=A0(vectors 16 56230)
=C2=A0(vector-slots 8 941031 37082)
=C2=A0(floats 8 350 140)
=C2=A0(intervals 56 413 0)
=C2=A0(buffers 992 13))





Acknowledgement sent to Xuanrui Qi <me@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#58545; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 24 Nov 2022 20:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.